#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;

int N,n,L,H;

int main(){
   cin>>N>>L;
   n=-1;
  for(int i=1;i<=N;i++){
      cin>>H;
      if(L>=H){n=i;break;}
}
   cout<<n;
   cout<<endl;

   return 0;
}